classification
Title: No mention of `match.regs` in `re` documentation
Type: behavior Stage:
Components: Documentation, Regular Expressions Versions: Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: docs@python Nosy List: BreamoreBoy, cool-RR, docs@python, ezio.melotti, georg.brandl, mrabarnett, pconnell
Priority: normal Keywords:

Created on 2013-05-23 11:28 by cool-RR, last changed 2014-10-04 17:58 by georg.brandl. This issue is now closed.

Messages (6)
msg189859 - (view) Author: Ram Rachum (cool-RR) * Date: 2013-05-23 11:28
There's no mention of `match.regs` in the documentation of the `re` module.
msg228415 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-10-04 00:22
@Ram Rachum can you provide a patch for this?
msg228431 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2014-10-04 07:03
I'm wondering what "regs" is supposed to stand for.  It might be for "regions", but that term is used nowhere else.  It should really be named "spans" to be consistent.
msg228432 - (view) Author: Ram Rachum (cool-RR) * Date: 2014-10-04 07:20
Mark, I prefer to leave this to someone else.
msg228467 - (view) Author: Matthew Barnett (mrabarnett) * (Python triager) Date: 2014-10-04 17:51
There's an interesting bit of history here:

http://www.gossamer-threads.com/lists/python/dev/236584
msg228468 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2014-10-04 17:58
IOW: it was already intentionally undocumented back then, and only added for compatibility reasons.

Probably should be deprecated and removed at some point.
History
Date User Action Args
2014-10-04 17:58:06georg.brandlsetstatus: open -> closed
resolution: wont fix
messages: + msg228468
2014-10-04 17:51:21mrabarnettsetmessages: + msg228467
2014-10-04 07:20:24cool-RRsetmessages: + msg228432
2014-10-04 07:03:58georg.brandlsetnosy: + georg.brandl
messages: + msg228431
2014-10-04 00:22:59BreamoreBoysetnosy: + BreamoreBoy
messages: + msg228415
2013-05-26 13:41:29ezio.melottisetnosy: + ezio.melotti, mrabarnett
components: + Regular Expressions
2013-05-25 09:31:38pconnellsetnosy: + pconnell
2013-05-23 11:28:57cool-RRcreate